/* general settings */

:root {
  --col-ui-bg: #202020;
  --col-ui-border: #404040;
  --col-ui-text: #a0a0a0;
  --col-ui-text-hover: #ffffff;
  --col-ui-text-active: #00eeff;
  --col-ui-button-bg: #303030;
  --col-ui-button-bg-hover: #606060;
  --col-ui-button-bg-active: #027179;
  --col-ui-radio-group-bg: #804020;
}

html {
  box-sizing: border-box;
}

*, *::before, *::after {
  box-sizing: inherit;
}

html, body {
  margin: 0;
  height: 100%;
}

body {
  background: #101010;
  color: #f0f0f0;
  font-family: 'Ubuntu', verdana, arial, sans-serif;
  font-size: 16px;
}

hr {
  border: none;
  /*border-bottom: 1px solid #a0a0a0;*/
}


/* ui setup */

#app {
  display: grid;
  grid-template-columns: 300px 1fr;  
  height: 100vh;
  transition: grid-template-columns 0.3s;
}
#app.collapsed {
  grid-template-columns: 60px 1fr;  
}

#viewer {
  position: relative;
  width: 100%;
  height: 100%;
  overflow: hidden;
  min-width: 0;  
}
#viewer canvas {
  width: 100%;
  height: 100%;
  display: block; 
}


/* sidebar */

#sidebar {
    width: 100%;  
    overflow: auto;
    background: var(--col-ui-bg);
    padding: 20px;
    position: relative;
    border-right: 1px solid var(--col-ui-border);

}
#sidebar-button {
    font-size: 20px;
    position: absolute;
    bottom: 20px;
    right: 20px;
}
#sidebar-button:hover {
  cursor: pointer;
  color: #88edff;
}

#app.collapsed #sidebar {
  padding: 20px 10px;
  transition: grid-template-columns 0.3s;
}
#sidebar-logo {
  background-image: url("/img/ei_logo_big.png");
  background-size: 250px;
  background-repeat: no-repeat;
  width: 100%;
  height: 45px; 
  margin-top: 10px;
  margin-bottom: 50px;
}


/* bottom overlay panel */

#bottom-panel {
  position: absolute;
  bottom: 10px;
  left: 30px;
  right: 20px;
  display: grid;
  grid-template-columns: 1fr auto 1fr;
  align-items: end;
  font-size: 14px;
  pointer-events: none; 
}
#bottom-panel-left {
  justify-self: start;
}
#bottom-panel-center {
  justify-self: center;
}
#bottom-panel-right {
  justify-self: end;
}


#bottom-panel button {
  pointer-events: auto; 
  background: rgba(0,0,0,0.6);
  color: white;
  border: none;
  padding: 8px 12px;
  cursor: pointer;
  font-size: 20px;
}
#bp-ei {
    font-size: 29px;
    padding-bottom: 5px;
    opacity: 0.5;
}


/* left info panel */

#info-panel {
  position: absolute;
  top: 10px;
  left: 10px;
  background: rgba(0,0,0,0.8);
  padding: 10px;
  font-size: 16px;
  border-radius: 5px;
  color: #ffffff;  
  max-width: 300px;
}
#info-panel td {
    padding-bottom: 5px;
}
#info-panel td:first-of-type {
    opacity: 0.6;
    font-style: italic;
    padding-right: 10px;
    text-align: right;
}
#info-panel td:last-of-type {
    text-align: left;
}
#info-panel p {
  margin: 3px;
  font-size: 18px;
}
#info-panel p.label {
    opacity: 0.6;
    font-style: italic;
    margin: 2px;
    font-size: 16px;
}
#info-panel table {
  margin-bottom: 10px;
}
#info-panel button {
  background: #00858e;
  border: none;
  color: #f0f0f0;
  padding: 5px 10px;
  border-radius: 5px;
  font-weight: bold;
}
#info-panel button:hover {
  background: #00c2d0;
  color: #ffffff;
}
#info-panel hr {
  margin: 5px 0;
}
#info-panel svg {
  margin: 5px;
}

/* right tools panel */

#tools-panel {
  position: absolute;
  top: 100px;
  right: 0px;
  width: 250px;
  font-size: 16px;
  border-top-left-radius: 5px;
  border-bottom-left-radius: 5px;
  overflow: hidden;
  background: #202020;
  border: 1px solid #404040;
  border-right: none;
  opacity: 0.95;
}
#tools-panel .tools-header {
  font-size: 18px;
  font-weight: bold;
  padding: 10px 12px;
  background: #303030;
  display: flex;
}
#tools-panel .tools-header img {
  width: 23px;
  height: 23px;
  margin-right: 8px;
}
#tools-collapsed-icon {
  width: 23px;
  height: 23px;
  display: none;
}

.tools-group {
  display: none;
  padding: 10px;
}
#tools-panel-collapse {
  margin: 20px 0 20px 20px;
  cursor: pointer;
}
#tools-panel.collapsed * {
  display: none !important;
} 
#tools-panel.collapsed #tools-collapsed-icon {
  display: block !important;
}
#tools-panel.collapsed {
  padding: 10px;
  width: auto;
}



/* sub-mode panel */

#submode-panel {
  position: absolute;
  top: 10px;
  right: 10px;
}
.ui-submode-group {
  display: none;
}
#app.mode-countries #countries-submode-group {
  display: block;
}
#app.mode-world_clock #world_clock-submode-group {
  display: block;
}

.ui-submode-group {
  padding: 5px;
  background: #303030;
  border-radius: 5px;
  opacity: 0.95;
  border: 1px solid #404040;
}
.ui-submode {
  background: #505050;
  border: none;
  color: #cdcdcd;
  font-weight: bold;
  padding: 5px 10px;
}
.ui-submode-group button:first-of-type {
  border-top-left-radius: 5px;
  border-bottom-left-radius: 5px;
}
.ui-submode-group button:last-of-type {
  border-top-right-radius: 5px;
  border-bottom-right-radius: 5px;
}

.ui-submode.active {
  background: #00858e;
  color: #ffffff;
}
.ui-submode:hover {
  background: #00c2d0;
  color: #ffffff;
}


/* pop-up window */

#popup {
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  width: 800px;
  height: 600px;
  background: #202020;
  color: white;
  border-radius: 6px;
  box-shadow: 0 5px 20px rgba(0,0,0,0.4);
  overflow: hidden;
  /*opacity: 0.95;*/
  font-size: 16px;
}
.popup-header {
  padding: 10px 12px 0 0;
  /*background: #303030;*/
  font-weight: bold;
  display: flex;
  justify-content: right;
  align-items: center;
}
.popup-content {
  padding: 0 20px 20px 20px;
}
.hidden {
  display: none;
}
#popup button {
  background: #00858e;
  border: none;
  color: #f0f0f0;
  padding: 5px 10px;
  border-radius: 5px;
  font-weight: bold;
}

#popup button:hover {
  background: #00c2d0;
  color: #ffffff;
}


/* main menu */

.ui-accordion-header {
  display: flex;
  align-items: center;
  width: 100%;
  padding: 8px 13px;
  background: #303030;
  border: none;
  border-radius: 5px;
  color: #f0f0f0;
  font-size: 16px;
  font-weight: bold;
}
.ui-accordion-header:hover {
  background: #404040;
}
#app.collapsed .ui-accordion-header {
  padding: 8px 0;
  justify-content: center;
}
.ui-accordion-icon img {
  width: 23px;
}
.ui-accordion-label {
  vertical-align: center;
  padding-left: 10px;
}
#app.collapsed .ui-accordion-label {
  display: none;
}
.ui-accordion-header::after {
  content: "\25B8";
  /*content: "▸";*/
  margin-left: auto;
  transition: transform 0.25s ease;
}
.ui-accordion-menu.open .ui-accordion-header::after {
  transform: rotate(90deg);
}
#app.collapsed .ui-accordion-header::after {
  content: none;
}
.ui-accordion-content {
  margin: 5px 0 5px 10px;
  max-height: 0;
  overflow: hidden;
  transition: max-height 0.25s;
}
.ui-accordion-menu.open .ui-accordion-content {
  max-height: 400px;
}
.ui-accordion-content button {
  display: block;
  width: 100%;
  border: none;
  font-size: 16px;
  background: #303030;
  color: #a0a0a0;
  border-radius: 5px;
  text-align: left;
  margin-bottom: 5px;
  padding: 5px 10px; 
}
.ui-accordion-content button.active {
  background: #505050;
  color: #00eeff;
}
.ui-accordion-content button:hover {
  background: #606060;
  color: #f0f0f0;
}



/* tools categories */

#app.mode-countries .tools-countries {
  display: block;
}
#app.mode-cities .tools-cities {
  display: block;
}
#app.mode-world_clock .tools-world_clock {
  display: block;
}
#app.mode-flights .tools-flights {
  display: block;
}




/* general ui elements */
.ui-button {
  display: block;
  width: 100%;
  padding: 6px 10px;
  margin-bottom: 6px;
  background: var(--col-ui-button-bg);
  color: var(--col-ui-button-text);
  border: none;
  border-radius: 5px;
  cursor: pointer;
}

.ui-button:hover {
  background: var(--col-ui-button-bg-hover);
}
.ui-button:active {
  background: var(--col-ui-text-active);
}

.ui-radio-group {
  display: flex;
  flex-direction: column;
  padding: 10px;
  background: var(--col-ui-radio-group-bg);
  margin-bottom: 4px;
  border-radius: 5px;
}

.ui-radio {
  padding: 6px 10px;
  margin-bottom: 4px;
  background: var(--col-ui-button-bg);
  color: var(--col-ui-text);
  border-radius: 5px;
  cursor: pointer;
  border: none;
}

.ui-radio.active {
  background: var(--col-ui-button-bg-active);
  color: var(--col-ui-text-active);
}

.ui-toggle {
  padding: 6px 10px;
  width: 100%;
  background: var(--col-ui-button-bg);
  border-radius: 5px;
  cursor: pointer;
  border: none;
  color: #a0a0a0;
}

.ui-toggle:hover {
  background: #0088aa;
  color: white;
}


.ui-toggle.active {
  background: #0088aa;
  color: white;
}

.ui-label {
  font-size: 14px;
  margin: 15px 0 5px 0;
}



#sidebar-logo {
  filter: brightness(70%) sepia(100%) saturate(200%) hue-rotate(150deg);  
}
#sidebar-logo:hover {
  filter: none;
} 

#bp-sliders {
  padding: 10px;
  border-radius: 5px;
  pointer-events: auto;
  background: #303030a0;
  width: 750px;
}
.time-slider {
  display: block;
  -webkit-appearance: none;
  width: 100%;
  height: 2px;
  background: #d3d3d3;
  outline: none;
  opacity: 0.7;
  -webkit-transition: .2s;
  transition: opacity .2s;
}

#bp-sliders .slider-container:first-of-type {
  margin-bottom: 30px;
}

.time-slider:hover {
  opacity: 1;
}

.time-slider::-webkit-slider-thumb {
  -webkit-appearance: none;
  appearance: none;
  width: 10px;
  height: 20px;
  background: #04AA6D;
  background: #ffffff;
  /*cursor: pointer;*/
}

.time-slider::-moz-range-thumb {
  width: 10px;
  height: 20px;
  background: #04AA6D;
  background: #ffffff;
  /*cursor: pointer;*/
}



.slider-container {
  width: 100%;
}

.slider-labels {
  display: flex;
  justify-content: space-between;
  font-size: 12px;
  margin-top: 4px;
  /* position: relative;
  top: -30px; */
}





.new-toggle-btn {
  display: block;
  cursor: pointer;
  background: var(--col-ui-button-bg);
  color: #a0a0a0;
  padding: 6px 10px;
  border-radius: 5px;
  margin-bottom: 6px;
  font-size: 14px;
}
.new-toggle-btn:hover {
  background: var(--col-ui-button-bg-hover);
}
.new-toggle-btn:has(input:checked) {
  background: var(--col-ui-button-bg-active);
  color: #ffffff;
}


















/* 
.slider-labels span {
  border-left: 1px solid #ffffff;
} */


/* input[type="range"] {
  background: repeating-linear-gradient(
    to right,
    #aaa 0px,
    #aaa 1px,
    transparent 1px,
    transparent 50px
  );
} */


/* 
.slider-labels {
  display: flex;
  justify-content: space-between;
  position: relative;
  margin-top: 10px;
}

.slider-labels span {
  position: relative;
  font-size: 12px;
  text-align: center;
}


.slider-labels span::before {
  content: "";
  position: absolute;
  top: -8px;             
  left: 50%;
  transform: translateX(-50%);
  width: 1px;
  height: 6px;
  background: #aaa;
}

 */





/* #time-sliders {
  position: absolute;
  right: 20px;
  bottom: 100px;
  width: 350px;
}
#time-sliders input {
  background: #404040;
  width: 100%;
}
 */



















/*
#app.collapsed #mode {
    display:none;
}

#app.collapsed #settings {
    display:none;
}


.sidebar-menu {
  font-size: 16px;
  margin-bottom: 30px;
}
.sidebar-menu summary {
  cursor: pointer;
  font-weight: bold;
  padding: 8px 13px;
  border-radius: 5px;
  margin-bottom: 5px;  
  background: #303030; 
}
.sidebar-menu summary:hover {
  background: #404040; 
}

#settings-menu > label {
    display: block;
    margin-bottom: 15px;
}

summary {
  display: flex;
  align-items: center;
  gap: 10px;
  cursor: pointer;
}

.menu-icon {
  width: 24px;
  text-align: center;
}

#app.collapsed .menu-label {
  display: none;
}

#app.collapsed summary {
  justify-content: center;
}

summary::marker {
  content: "";
}

summary::-webkit-details-marker {
  display: none;
}

summary::after {
  content: "▸";
  margin-left: auto;
}
#app.collapsed summary::after {
  content: none;
}
#app.collapsed summary::-webkit-details-marker {
  display: none;
}


details[open] summary::after {
  content: "▾";
}



#app.collapsed #sidebar-logo {
  color: white;
}

#help-section div {
  padding: 0 0 0 10px;
}





.menu-icon img {
  width: 23px;
  margin-top: 2px;
}

.sidebar-menu summary:hover img {
  filter: brightness(70%) sepia(100%) saturate(200%) hue-rotate(150deg);  
}


  
*/
